## org.opencyc.uml.statemachine
Class TimeEvent

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.Event
                        |
                        +--org.opencyc.uml.statemachine.TimeEvent

public class TimeEvent
extends Event

TimeEvent from the UML State_Machine package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected TimeExpression` `when` the time expression for this time event

Fields inherited from class org.opencyc.uml.statemachine.Event
`parameter`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`TimeEvent()` Constructs a new TimeEvent object.

Method Summary
`boolean` `equals(java.lang.Object object)` Returns true if the given object equals this object.
`TimeExpression` `getWhen()` Gets the time expression for this time event
`void` `setWhen(TimeExpression when)` Sets the time expression for this time event

Methods inherited from class org.opencyc.uml.statemachine.Event
`getParameter, setParameter`

Methods inherited from class org.opencyc.uml.core.ModelElement
`getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### when

    protected TimeExpression when

  the time expression for this time event

Constructor Detail

### TimeEvent

    public TimeEvent()

  Constructs a new TimeEvent object.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Returns true if the given object equals this object.
  Overrides:
    `equals` in class `Event`
  Parameters:
    `object` - the given object
  Returns:
    true if the given object equals this object, otherwise returns false

### getWhen

    public TimeExpression getWhen()

  Gets the time expression for this time event
  Returns:
    the time expression for this time event

### setWhen

    public void setWhen(TimeExpression when)

  Sets the time expression for this time event
  Parameters:
    `when` - the time expression for this time event